/***************************************************************************
 *   Copyright (C) 2003 by Tom Deblauwe                                    *
 *   tomNOSPAM.deblauwe@pandora.be                                         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#include "encodingdialog.h"
#include "kglobal.h"
#include "kcombobox.h"
#include <klocale.h>
#include <kcharsets.h>
    
EncodingDialog::EncodingDialog(QWidget * parent, const char * name, bool modal) : EncodingDlg(parent, name, modal)
{    
    cmb_encoding->clear();
    //default local encoding
    QString sEncoding = QString::fromLatin1(KGlobal::locale()->encoding());
    encodingName = sEncoding;
    
    QStringList encodings (KGlobal::charsets()->availableEncodingNames());
    int insert = 0;
    int insertpos = 0;
    for (uint i=0; i < encodings.count(); i++)
    { 
	cmb_encoding->insertItem (encodings[i]);	
	if ( encodings[i].lower() == sEncoding.lower() )
	{
	    insertpos = insert;
	}
	insert++;
    }
    
    cmb_encoding->setCurrentItem(insertpos);    
}    

EncodingDialog::~EncodingDialog()
{
}

QString EncodingDialog::getEncodingName(void)
{
    return encodingName;
}

void EncodingDialog::pb_ok_clicked(void)
{
    encodingName = cmb_encoding->currentText();
    accept();
}

#include "encodingdialog.moc"
